# OutlinedButton

## propTypes

```
OutlinedButton.propTypes = {
    buttonType: PropTypes.string,
    id: PropTypes.string,
    inactive: PropTypes.bool,
    label: PropTypes.string,
    onClick: PropTypes.func,
    subClass: PropTypes.string
};
```

## defaultProps

```
OutlinedButton.defaultProps = {
    buttonType: 'primary',
    id: `tsdevButtonOutlined-${Uuid.v4()}`,
    inactive: false,
    label: 'Outlined',
    onClick: noop,
    subClass: ''
};
```
## Functions
```
onClick(obj) => {
    // obj-example
    <!-- buttonType: "primary"
    id: "tsdevButtonOutlined-20e687b8-809a-4a01-9663-4809cb7fc38e"
    inactive: false
    label: "Outlined"
    subClass: "" -->
};
```